Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class ReferentialIntegrityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDOUserException
                                          |
                                          +--kodo.util.UserException
                                                |
                                                +--kodo.util.ReferentialIntegrityException

All Implemented Interfaces:
  Serializable

public class ReferentialIntegrityException
extends UserException
implements Serializable

Exception type reserved for violations of integrity constraints.

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_DUPLICATE_OID`
`static int` | `TYPE_MIXED`
`static int` | `TYPE_REFERENCE`
`static int` | `TYPE_UNIQUE`
`static int` | `TYPE_UNKNOWN`

Constructor Summary
`ReferentialIntegrityException()`
`ReferentialIntegrityException(int type)`
`ReferentialIntegrityException(Object failed, int type)`
`ReferentialIntegrityException(String msg, Throwable[] nested, Object failed, int type)`
`ReferentialIntegrityException(Throwable[] nested, int type)`
`ReferentialIntegrityException(Throwable[] nested, Object failed, int type)`
`ReferentialIntegrityException(Throwable nested, int type)`
`ReferentialIntegrityException(Throwable nested, Object failed, int type)`

Method Summary
`int` | `getType()`
`protected UserException` | `newSerializableInstance(String msg, Throwable[] nested, Object failed)` Return a new instance of this class with the given state, and add any additional serializable state from this instance.
`void` | `setType(int type)`
`String` | `toString()` Bypass the standard `JDOException.toString()` method, since it has the potential for infinite recursion if the failed object references persistent fields whose access may cause another exception.

Methods inherited from class kodo.util.UserException
`writeReplace`

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

### TYPE_DUPLICATE_OID

    public static final int TYPE_DUPLICATE_OID

### TYPE_UNIQUE

    public static final int TYPE_UNIQUE

### TYPE_REFERENCE

    public static final int TYPE_REFERENCE

### TYPE_MIXED

    public static final int TYPE_MIXED

Constructor Detail

### ReferentialIntegrityException

    public ReferentialIntegrityException()

### ReferentialIntegrityException

    public ReferentialIntegrityException(int type)

### ReferentialIntegrityException

    public ReferentialIntegrityException(Object failed,
                                         int type)

### ReferentialIntegrityException

    public ReferentialIntegrityException(Throwable nested,
                                         int type)

### ReferentialIntegrityException

    public ReferentialIntegrityException(Throwable[] nested,
                                         int type)

### ReferentialIntegrityException

    public ReferentialIntegrityException(Throwable nested,
                                         Object failed,
                                         int type)

### ReferentialIntegrityException

    public ReferentialIntegrityException(Throwable[] nested,
                                         Object failed,
                                         int type)

### ReferentialIntegrityException

    public ReferentialIntegrityException(String msg,
                                         Throwable[] nested,
                                         Object failed,
                                         int type)

Method Detail

### getType

    public int getType()

### setType

    public void setType(int type)

### newSerializableInstance

    protected UserException newSerializableInstance(String msg,
                                                    Throwable[] nested,
                                                    Object failed)

  Description copied from class: `UserException`
  Return a new instance of this class with the given state, and add any additional serializable state from this instance.
  Overrides:
    `newSerializableInstance` in class `UserException`

### toString

    public String toString()

  Bypass the standard `JDOException.toString()` method, since it has the potential for infinite recursion if the failed object references persistent fields whose access may cause another exception.
  Overrides:
    `toString` in class `UserException`
  Since:
    3.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.